package com.zd.exam.service.convert;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 黑名单违规配置项
 *
 * @author liubo
 */
public class LabBlackConfig {

    /** 考试时用下面两个字段来统计范围 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "处理未完成最后期限")
    private Date handleDay;

    /** 做题准确率，只有练习题的时候才用 */
    @ApiModelProperty(value = "题目数量，只有练习状态不是-1的时候，才用这个字段")
    private Long numberTopics;

    @ApiModelProperty(value = "做题准确率，只有做题的时候才用")
    private Long numberAccuracy;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getHandleDay() {
        return handleDay;
    }

    public void setHandleDay(Date handleDay) {
        this.handleDay = handleDay;
    }

    public Long getNumberTopics() {
        return numberTopics;
    }

    public void setNumberTopics(Long numberTopics) {
        this.numberTopics = numberTopics;
    }

    public Long getNumberAccuracy() {
        return numberAccuracy;
    }

    public void setNumberAccuracy(Long numberAccuracy) {
        this.numberAccuracy = numberAccuracy;
    }
}
